classification
Title: Test issue
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11
process
Status: open Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: EWDurbin, ezio.melotti, matrixise, nedbat, pitrou, python-dev, zach.ware
Priority: low Keywords: easy

Created on 2008-05-05 16:40 by gvanrossum, last changed 2021-11-08 18:35 by berker.peksag.

Files
File name Uploaded Description Edit
README.diff loewis, 2010-10-01 22:09
a.diff loewis, 2011-03-06 16:49 review
6a1c8fcce229.diff loewis, 2011-03-13 16:15 review
sometext.txt pitrou, 2011-04-13 23:12
foo loewis, 2011-04-14 19:31
test.txt vsemionov, 2011-09-29 22:19 test
unnamed ezio.melotti, 2011-10-06 10:41
issue12753-3.diff ezio.melotti, 2011-10-06 10:41 review
issue12753-3.diff ezio.melotti, 2011-10-06 10:48 review
unnamed ezio.melotti, 2011-10-06 10:50
issue12753-3.diff ezio.melotti, 2011-10-06 10:50 review
b17f9a10235f.diff ezio.melotti, 2012-09-01 19:24 review
entities.py ezio.melotti, 2012-09-25 18:37
issue18958-2.diff ezio.melotti, 2014-07-07 17:23
testtestpatch testbpo, 2015-06-26 15:18 test
issue18958-2.diff testbpo, 2015-06-26 15:38
Pull Requests
URL Status Linked Edit
PR 46 ezio.melotti, 2016-11-30 23:00
PR 56 brett.cannon, 2017-01-06 18:57
PR 55 brett.cannon, 2017-01-06 22:54
PR 59 brett.cannon, 2017-01-11 00:22
PR 60 brett.cannon, 2017-01-11 00:26
PR 61 brett.cannon, 2017-01-11 00:30
PR 62 brett.cannon, 2017-01-11 00:33
PR 63 ezio.melotti, 2017-01-13 09:34
PR 70 closed brett.cannon, 2017-01-19 18:03
PR 107 ezio.melotti, 2017-02-21 23:56
PR 18614 closed berker.peksag, 2020-02-23 07:46
Repositories containing patches
http://hg.python.org/sandbox/ncoghlan/
http://hg.python.org/features/py3k-cdecimal/
http://bitbucket.org/void/cpython
Messages (144)
msg66272 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-05-05 16:40
This is a very long line.  I am wondering how it will be wrapped. What
will happen to this exceedingly long line? Will it be wrapped? Will it?
Really? What will happen?

Here's an example:

  def fact(n):
    if n > 1:
      return n * fact(n-1)
    else:
      assert n in (0, 1)
      return 1

What do you think of that?
msg70327 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-07-27 17:54
Testing authorage
msg82492 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-19 19:58
Does this still work?
msg82495 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-19 20:28
More testing.
msg82496 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-19 20:29
Testing 1..2..3
msg83238 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-03-06 05:29
Reviewers: ,

Description:
"This is a very long line.  I am wondering how it will be wrapped. What
will happen to this exceedingly long line? Will it be wrapped? Will it?
Really? What will happen?

Here's an example:

   def fact(n):
     if n > 1:
       return n * fact(n-1)
     else:
       assert n in (0, 1)
       return 1

What do you think of that?"

Please review this at http://codereview.appspot.com/24075

Affected files:
   M     static/upload.py

Index: static/upload.py
===================================================================
--- static/upload.py	(revision 402)
+++ static/upload.py	(working copy)
@@ -61,7 +61,30 @@
  # Max size of patch or base file.
  MAX_UPLOAD_SIZE = 900 * 1024

+#python static/upload.py -R 2771 -F msg66272 --send_mail
+fields = {'issue':'title', 'msg':'content', 'file':'description', }
+def fetch_item(nodeid, kind='issue', tracker='http://bugs.python.org'):
+  query_tpl = [('@action', 'export_csv'), ('@filter', 'id'),
+  ('id', nodeid), ('@columns', fields[kind])]
+  item_url = '/%s?%s' % (kind, urllib.urlencode(query_tpl))
+  content = urllib.urlopen(tracker + item_url).read().split('\r\n')
+  if content[0] == 'title':
+    return '[issue%s] %s' % (nodeid, content[1].strip())
+  elif content[0] == 'content' or content[0] == 'description':
+    return content[1].strip()

+def fetch(nodeid, debug=True):
+  kind = 'issue'
+  if nodeid.startswith('msg'):
+    kind = 'msg'
+  elif nodeid.startswith('file'):
+    kind = 'file'
+  nodeid = nodeid.replace(kind, '')
+  result = fetch_item(int(nodeid), kind)
+  if debug:
+    logging.info('Fetched "%s: %s"' % (kind, result))
+  return result
+
  def GetEmail(prompt):
    """Prompts the user for their email address and returns it.

@@ -453,6 +476,14 @@
  group.add_option("--send_mail", action="store_true",
                   dest="send_mail", default=False,
                   help="Send notification email to reviewers.")
+# Link options
+group = parser.add_option_group("Link options")
+group.add_option("-R", "--roundup", action="store", dest="roundup",
+                 metavar="ROUNDUP", default=None,
+                 help="Python tracker issue number to link with.")
+group.add_option("-F", "--fetch_descr", action="store", dest="fetch_descr",
+                 metavar="FETCHDESCR", default=None,
+                 help="Tracker file or message to fetch description from.")

  def GetRpcServer(options):
@@ -1291,7 +1322,10 @@
      prompt = "Message describing this patch set: "
    else:
      prompt = "New issue subject: "
-  message = options.message or raw_input(prompt).strip()
+  if options.roundup:
+    message = fetch(options.roundup)
+  else:
+    message = options.message or raw_input(prompt).strip()
    if not message:
      ErrorExit("A non-empty message is required")
    rpc_server = GetRpcServer(options)
@@ -1307,11 +1341,16 @@
        if "@" in reviewer and not reviewer.split("@")[1].count(".") == 1:
          ErrorExit("Invalid email address: %s" % reviewer)
      form_fields.append(("reviewers", options.reviewers))
+  tracker_email = 'report@bugs.python.org,'
    if options.cc:
      for cc in options.cc.split(','):
        if "@" in cc and not cc.split("@")[1].count(".") == 1:
          ErrorExit("Invalid email address: %s" % cc)
-    form_fields.append(("cc", options.cc))
+    if options.roundup:
+      cc = tracker_email + options.cc
+    form_fields.append(("cc", cc))
+  elif options.roundup:
+    form_fields.append(("cc", tracker_email[:-1]))
    description = options.description
    if options.description_file:
      if options.description:
@@ -1319,6 +1358,9 @@
      file = open(options.description_file, 'r')
      description = file.read()
      file.close()
+  elif options.fetch_descr:
+    # XXX Add error handling as above
+    description = fetch(options.fetch_descr)
    if description:
      form_fields.append(("description", description))
    # Send a hash of all the base file so the server can determine if a copy
msg83244 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-03-06 14:40
http://codereview.appspot.com/24075
msg83245 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-03-06 14:42
Reviewers: ,

Description:
 From http://bugs.python.org/issue2771

"This is a very long line.  I am wondering how it will be wrapped. What
will happen to this exceedingly long line? Will it be wrapped? Will it?
Really? What will happen?

Here's an example:

   def fact(n):
     if n > 1:
       return n * fact(n-1)
     else:
       assert n in (0, 1)
       return 1

What do you think of that?"

Description fetched from: http://bugs.python.org/msg66272

Please review this at http://codereview.appspot.com/25076

Affected files:
   M     static/upload.py
msg83438 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-03-10 16:22
Reviewers: ,

Description:
 From http://bugs.python.org/issue2771

Testing 1..2..3

Description fetched from: http://bugs.python.org/msg82496

Please review this at http://codereview.appspot.com/22062

Affected files:
   M     static/upload.py
msg85703 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 14:51
Testing how email handles quotes.

[mailgw]

# Keep email citations when accepting messages.
# Setting this to "no" strips out "quoted" text from the message.
# Signatures are also stripped.
# Allowed values: yes, no
# Default: yes
keep_quoted_text = yes

# Preserve the email body as is - that is,
# keep the citations _and_ signatures.
# Allowed values: yes, no
# Default: no
leave_body_unchanged = no
msg85704 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 14:53
Dumb whole message quote.

On Tue, Apr 7, 2009 at 11:51 AM, Daniel Diniz <report@bugs.python.org> wrote:
>
> Daniel Diniz <ajaksu@gmail.com> added the comment:
>
> Testing how email handles quotes.
>
> [mailgw]
>
> # Keep email citations when accepting messages.
> # Setting this to "no" strips out "quoted" text from the message.
> # Signatures are also stripped.
> # Allowed values: yes, no
> # Default: yes
> keep_quoted_text = yes
>
> # Preserve the email body as is - that is,
> # keep the citations _and_ signatures.
> # Allowed values: yes, no
> # Default: no
> leave_body_unchanged = no
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2771>
> _______________________________________
>
msg85706 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 14:54
Nested quotes.

On Tue, Apr 7, 2009 at 11:53 AM, Daniel Diniz <report@bugs.python.org> wrote:
>
> Daniel Diniz <ajaksu@gmail.com> added the comment:
>
> Dumb whole message quote.
>
> On Tue, Apr 7, 2009 at 11:51 AM, Daniel Diniz <report@bugs.python.org> wrote:
>>
>> Daniel Diniz <ajaksu@gmail.com> added the comment:
>>
>> Testing how email handles quotes.
>>
>> [mailgw]
>>
>> # Keep email citations when accepting messages.
>> # Setting this to "no" strips out "quoted" text from the message.
>> # Signatures are also stripped.
>> # Allowed values: yes, no
>> # Default: yes
>> keep_quoted_text = yes
>>
>> # Preserve the email body as is - that is,
>> # keep the citations _and_ signatures.
>> # Allowed values: yes, no
>> # Default: no
>> leave_body_unchanged = no
>>
>> ----------
>>
>> _______________________________________
>> Python tracker <report@bugs.python.org>
>> <http://bugs.python.org/issue2771>
>> _______________________________________
>>
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2771>
> _______________________________________
>
msg85707 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 14:57
>>> Testing how email handles quotes.
>>>
>>> [mailgw]
>>>
>>> # Keep email citations when accepting messages.
>>> # Setting this to "no" strips out "quoted" text from the message.
>>> # Signatures are also stripped.
>>> # Allowed values: yes, no
>>> # Default: yes
>>> keep_quoted_text = yes
>>>
>>> # Preserve the email body as is - that is,
>>> # keep the citations _and_ signatures.
>>> # Allowed values: yes, no
>>> # Default: no
>>> leave_body_unchanged = no
>>>

Bottom posting, less hints about quotes.
msg85709 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 15:03
> The reason I noticed this is that since they compare and hash equal, if
> you put two such methods into a set, you end up with a set with one
> method.  Currently, this is preventing me from running two test methods
> because the method itself is defined on a base class and two subclasses
> which customize several other methods inherit it.  I can only run one
> test at a time.

But you acknowledge they are really the same method attached to
different classes, right? The notion of "unbound method" is mostly an
implementation detail. The term occurs only 4 times in the whole Python
documentation (according to Google). And in py3k they are gone. (*)

Moreover, you say you want them to compare unequal because you
*explicitly* want the same method called separately for each class it is
defined on. Is there anything preventing you to have a set of (class,
method) tuples instead? Because it sounds like the logical thing to do
in your case.

> Having them compare unequal means you can't actually trust unbound
> method comparison, nor using unbound methods as keys in a dictionary.

"Trust" is a strong word. You can trust the comparison operator if you
agree with its semantics, you cannot trust it if you want different
semantics. But that doesn't mean it is generally trustworthy or
untrustworthy.

Really, this is the same as with numbers:

'b'

There are probably use cases where the above is annoying. But,
conversely, there are probably use cases where a stricter behaviour
would be annoying too.

> This means some other mapping structure is required if you want to keep
> around a bunch of methods and arguments to pass to them.

I disagree. The general use case of keeping a bunch of callables with
their respective arguments implies storing bound, not unbound, methods.
(how often do you feed an unbound method to an addCallback() ?)

> It also means
> that any time you want to check two methods against each other with the
> goal of eventually calling one or both of them, you need to use
> something other than `==´.

I don't think there are lots of use cases for comparing *unbound*
methods. One such use case is checking for redefinition of inherited
methods, and the current __eq__ semantics look fine for that.

(*)
Python 3.0b2+ (py3k, Jul 29 2008, 20:37:34)
[GCC 4.3.1 20080626 (prerelease)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> class A:
...  def f(): pass
...
>>> type(A.f)
<class 'function'>
>>> a = A()
>>> type(a.f)
<class 'method'>
>>> def g(): pass
...
>>> class B:
...  g = g
...
>>> B.g is g
True
msg85711 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 15:06
> Having them compare unequal means you can't actually trust unbound
> method comparison, nor using unbound methods as keys in a dictionary.

"Trust" is a strong word. You can trust the comparison operator if you
agree with its semantics, you cannot trust it if you want different
semantics. But that doesn't mean it is generally trustworthy or
untrustworthy.

Really, this is the same as with numbers:

'b'
msg85712 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-04-07 15:09
> Quote

Unquote

code snippet:

'b'
msg117840 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-10-01 22:09
Attach some file
msg123996 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-12-15 01:18
testing autonosy for release managers with release blockers
msg123997 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-12-15 01:20
Works fine. Now release managers will be added automatically to the nosy list when the priority of an issue is set to 'release blocker'.
See http://psf.upfronthosting.co.za/roundup/meta/issue363
msg130141 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-06 03:31
Testing legacy svn references here r88479 and new hg references here 284026e00342.
msg130313 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:26
test the roundup hook
http://hg.python.org/cpythonb48aeb097432
msg130314 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:28
test the roundup hook again
http://hg.python.org/cpython/dfc4a58fc2d4
msg130315 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:30
test the roundup hook another time
http://hg.python.org/cpython/65f5077e877b
msg130316 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:32
test the roundup hook another time
http://hg.python.org/cpython/8f21aec26226
msg130317 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:34
test the roundup hook another time
http://hg.python.org/cpython/cf074b297bf9
msg130318 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 10:36
test the roundup hook another time
http://hg.python.org/cpython/502f0683b161
msg130320 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 11:07
: test the refactored roundup hook.
http://hg.python.org/cpython/cd21195d07ca
msg130323 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-08 11:18
re bug 2771 -- testing the roundup hook.
http://hg.python.org/cpython/c37da7946f2b
msg130325 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-08 11:20
finally fixing issue 2771: yay!
http://hg.python.org/cpython/440238c16a7a
msg130328 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-08 12:56
> re bug 2771 -- testing the roundup hook.
> http://hg.python.org/cpython/c37da7946f2b

Looks like this URL misses the "/rev/" before the changeset id.
msg130352 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:40
Changeset b92334d06445 by Antoine Pitrou <solipsis@pitrou.net>:
Issue #2771: fixing frobnicator\nI hope this works
msg130353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:42
New changeset ef6738f4ba2e by Antoine Pitrou <solipsis@pitrou.net>:
Issue #2771: fixing frobnicator again!
msg130354 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:46
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
msg130355 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:46
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
msg130356 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:47
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
msg130357 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:50
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
http://hg.python.org/cpython/rev/ef6738f4ba2e
msg130358 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:50
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
http://hg.python.org/cpython/rev/ef6738f4ba2e
msg130359 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:51
New changeset ef6738f4ba2e by Antoine Pitrou:
Issue #2771: fixing frobnicator again!
http://hg.python.org/test/rev/ef6738f4ba2e
msg130360 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:53
New changeset ef6738f4ba2e by Antoine Pitrou in branch 'default':
Issue #2771: fixing frobnicator again!
http://hg.python.org/test/rev/ef6738f4ba2e
msg130363 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:55
New changeset ef6738f4ba2e by Antoine Pitrou in branch 'default':
Issue #2771: fixing frobnicator again!
/rev/ef6738f4ba2e
msg130364 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:56
New changeset ef6738f4ba2e by Antoine Pitrou in branch 'default':
Issue #2771: fixing frobnicator again!
http://hg.python.org/test/rev/ef6738f4ba2e
msg130365 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 19:57
New changeset ef6738f4ba2e by Antoine Pitrou in branch 'default':
Issue #2771: fixing frobnicator again!
http://hg.python.org/test/rev/ef6738f4ba2e
msg130371 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-08 20:37
New changeset a25e4c9f7b3a by éléphant in branch 'default':
Issue #2771: héhé
http://hg.python.org/test/rev/a25e4c9f7b3a
msg130708 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-12 23:30
New changeset 93a15af3a8ce by Antoine Pitrou in branch 'default':
fixes #2771
http://hg.python.org/test/rev/93a15af3a8ce
msg130711 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-12 23:32
New changeset acd842ea10e6 by Antoine Pitrou in branch 'default':
closes #2771
http://hg.python.org/test/rev/acd842ea10e6
msg130746 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-13 15:12
New changeset e51cd925a89a by Ezio Melotti in branch 'default':
Test hook (closes #2771).
http://hg.python.org/test/rev/e51cd925a89a
msg131876 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-23 14:33
testing nosy
msg131877 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-23 14:33
testing again
msg131887 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-23 15:48
testing nosy
msg132862 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-03 16:42
Testing
msg143322 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-09-01 13:03
New changeset 90586887032e by Ezio Melotti in branch 'default':
test: change the content of the p file so
http://hg.python.org/test/rev/90586887032e
msg144642 - (view) Author: Victor Semionov (vsemionov) Date: 2011-09-29 22:18
Testing.
msg144643 - (view) Author: Victor Semionov (vsemionov) Date: 2011-09-29 22:19
testing
msg144644 - (view) Author: Victor Semionov (vsemionov) Date: 2011-09-29 22:20
adsfaf
msg144988 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-06 10:41
test attachments
msg144989 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-06 10:48
test attachments
msg144990 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-06 10:50
test attachments
msg144991 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-06 10:55
Adding 

# ignore html part of multipart/alternative
ignore_alternatives = yes

to the config.ini seems to get rid of the "unnamed" attachments.
msg147556 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-13 16:41
New changeset 0e94d9bef251 by Ezio Melotti in branch 'default':
Closes #2771. #13388 now needs to be updated.
http://hg.python.org/test/rev/0e94d9bef251
msg147558 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-13 16:45
New changeset e4fcac92a80a by Ezio Melotti in branch 'default':
Closes #2771. #13388 now needs to be updated.
http://hg.python.org/test/rev/e4fcac92a80a
msg148435 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-27 02:08
New changeset fc1e01fe7f30 by Antoine Pitrou in branch 'default':
test hook with issue #2771.
http://hg.python.org/test/rev/fc1e01fe7f30
msg154050 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-23 04:26
Let’s link to branches other than default: Lib/fileinput.py, Python/bltinmodule.c:42
msg158528 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-17 04:29
Testing links:
http://bugs.python.org/issue2771
http://bugs.python.org/issue2771.
http://bugs.python.org/issue2771,
http://bugs.python.org/issue2771;
http://bugs.python.org/issue2771:
http://bugs.python.org/issue2771!
(http://bugs.python.org/issue2771)
[http://bugs.python.org/issue2771]
{http://bugs.python.org/issue2771}
<http://bugs.python.org/issue2771>
msg161311 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-05-22 01:04
This is a test email reply with no MIME header.
msg164482 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-07-01 14:58
New changeset b449118653fe by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/b449118653fe
msg164498 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-07-01 21:08
New changeset b4af3925bda6 by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/b4af3925bda6
msg164499 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-07-01 21:18
New changeset 3e4513003ded by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/3e4513003ded

New changeset b449118653fe by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/b449118653fe

New changeset 99fbc7dfb076 by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/99fbc7dfb076

New changeset b4af3925bda6 by Antoine Pitrou in branch 'default':
some new tést (issue #2771)
http://hg.python.org/test/rev/b4af3925bda6

New changeset 76da38684c9d by Antoine Pitrou in branch 'default':
some other test (issue #2771)
http://hg.python.org/test/rev/76da38684c9d
msg166660 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-07-28 15:22
test
msg169819 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-04 09:13
test issue linking: issue1528167 issue 1528167 #1528167
msg171493 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-28 15:28
testing irker
msg171496 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-28 15:47
Another irker test
msg171545 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-28 21:06
Another irker test
msg171565 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-29 12:28
ᚠᚡᚢᚣᚤᚥᚦᚧᚨᚩᚪᚫᚬᚭᚮᚯᚰᚱᚲᚳᚴᚵᚶᚷᚸᚹᚺᚻᚼᚽᚾᚿᛀᛁᛂᛃᛄ
msg171566 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-29 12:30
ᚠᚡᚢᚣᚤᚥᚦᚧᚨᚩᚪᚫᚬᚭᚮᚯᚰᚱᚲᚳᚴᚵᚶᚷᚸᚹᚺᚻᚼᚽᚾᚿᛀᛁᛂᛃᛄ
msg171569 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-29 12:50
another test
msg175115 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-07 17:51
test
msg175117 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-07 18:10
another test
msg175601 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 08:02
testing the new version of irker
msg175602 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 08:05
another test
msg175604 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 09:06
test
msg175609 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 11:42
test
msg175610 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 11:52
another test
msg175611 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 11:54
another test
msg175612 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 11:56
test
msg175613 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 11:56
another test
msg175614 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-15 12:04
final test
msg175801 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-11-17 20:10
New changeset 47ae836aa221 by Antoine Pitrou in branch 'default':
Issue #2771: !!
http://hg.python.org/test/rev/47ae836aa221
msg177455 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-12-14 09:51
irker test
msg184606 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-19 06:57
Test new irker.
msg185210 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-25 16:49
test
msg185211 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-25 16:51
test
msg186162 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-04-06 20:03
msg137617
message 137617
message #137617
msg186457 - (view) Author: Test User Deily (testusernad) Date: 2013-04-09 22:05
testing
msg190899 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-06-10 11:31
Lib/smtplib.py#l226
Lib/smtplib.py:l226
Lib/smtplib.py#226
Lib/smtplib.py:226
msg200373 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-10-19 05:10
Ping.
msg210887 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-02-10 23:04
test after roundup upgrade
msg210888 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-02-10 23:06
test message via email
msg210899 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-02-11 04:51
another test
msg216745 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-04-17 21:16
Ping.
msg216749 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-04-17 21:36
mail pong
msg222481 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-07-07 17:23
test
msg226864 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-14 10:34
New changeset 8510224e05dc by Georg Brandl in branch 'default':
Closes #2771: test.
http://hg.python.org/test/rev/8510224e05dc
msg226865 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-14 10:38
New changeset e79d1244d887 by Georg Brandl in branch 'default':
#2771: test baseurl change.
https://hg.python.org/test/rev/e79d1244d887
msg240911 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-04-14 15:33
ping
msg244636 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-06-02 02:11
test after roundup upgrade
msg244637 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-06-02 02:13
test message via email
msg281623 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-11-24 09:15
Test
msg282111 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-11-30 23:00
Testing PR linking
msg282209 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-12-01 23:02
Testing that the link to PR 46 works.
Pull Request 46 should also be a link.
PullRequest 46 too.
Generally you should just use PR46.
msg284785 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-01-05 23:05
testing github integration
msg284786 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-01-05 23:06
another test
msg284856 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-01-06 21:37
test
msg285373 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-01-13 09:34
test pr status
msg286827 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-02-02 21:22
test
msg296933 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-06-26 19:22
𝔹𝔹
msg301677 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-09-08 05:28
test
msg303086 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2017-09-27 01:14
test
msg326188 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2018-09-23 23:04
test
msg326189 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2018-09-23 23:06
test
msg326190 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2018-09-23 23:07
A test comment from nedbat
msg326354 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2018-09-25 13:55
test comment
msg326503 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2018-09-26 20:32
Also a test.
msg326930 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2018-10-03 02:38
another test
msg327448 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2018-10-10 00:53
mail test
msg330748 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-11-30 06:51
test comment
msg330753 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-11-30 07:10
> I think I have seen this bug reported elsewhere but can't find it now.

Sorry, I was referring to issue6028 and issue32570 that I thought were similar to the original report.
msg332292 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2018-12-21 14:49
Testing after hosting migration completion
msg332369 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2018-12-22 21:06
test message via email
msg335253 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-02-11 18:54
comment on test issue to test the request time.
msg335254 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-02-11 18:56
test comment
msg335258 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-02-11 19:07
test mail sending
msg335263 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-02-11 19:28
should be fast send.
msg335266 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-02-11 19:59
test
msg335267 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-02-11 20:04
notifying a lot of people
msg335270 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-02-11 21:28
irc pong
msg338799 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-03-25 14:25
Test Email Notification
msg338800 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-03-25 14:29
Test Notification
msg344722 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-06-05 13:38
test comment
msg344723 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2019-06-05 13:47
test comment
msg352015 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2019-09-11 19:02
test comment
msg394297 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-05-25 07:18
test IRC bot
msg394298 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-05-25 07:18
Close (test IRC bot). Test is successful!

"09:18 < irker301> vstinner #2771/Test issue: [open] test IRC bot https://bugs.python.org/issue2771" logged on #python-dev-infras

https://github.com/python/psf-salt/issues/208#event-4790301517
msg394456 - (view) Author: Ee Durbin (EWDurbin) * (Python triager) Date: 2021-05-26 19:28
Test IRC
msg405354 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2021-10-30 02:52
Testing GitHub mentions, please ignore: @serhiy-storchaka
History
Date User Action Args
2021-11-08 18:35:17berker.peksagsetnosy: - berker.peksag
2021-11-08 16:47:21vstinnersetnosy: - vstinner
2021-10-30 02:52:18ezio.melottisetmessages: + msg405354
2021-10-25 22:52:09ezio.melottisetassignee: python-dev -> ezio.melotti
2021-10-25 22:51:56ezio.melottisetassignee: python-dev
2021-10-25 22:51:34ezio.melottisetassignee: python-dev -> (no value)
2021-10-25 22:50:53ezio.melottisetassignee: ezio.melotti -> python-dev
versions: + Python 3.11, - Python 3.9
2021-05-26 19:28:36EWDurbinsetstatus: closed -> open

messages: + msg394456
2021-05-26 19:27:54EWDurbinsetstatus: open -> closed
versions: + Python 3.9, - Python 3.10
2021-05-26 19:25:15EWDurbinsetstatus: closed -> open
versions: + Python 3.10, - Python 3.9
2021-05-25 07:18:54vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg394298
2021-05-25 07:18:15vstinnersetstatus: closed -> open

nosy: + vstinner
messages: + msg394297

resolution: fixed -> (no value)
2020-02-23 16:30:43xtreaksetnosy: - xtreak
2020-02-23 07:47:22berker.peksagsetnosy: - brett.cannon
2020-02-23 07:46:23berker.peksagsetnosy: + berker.peksag, brett.cannon

pull_requests: + pull_request17979
2019-09-11 19:02:56ezio.melottisetmessages: + msg352015
2019-09-11 11:05:11zwtestusersetnosy: + zach.ware

type: enhancement -> behavior
components: + Tests, - Documentation
versions: - Python 3.8
2019-06-05 13:47:43EWDurbinsetmessages: + msg344723
2019-06-05 13:38:07EWDurbinsetmessages: + msg344722
2019-05-24 20:16:09ezio.melottisetkeywords: - patch, easy (C)
components: + Documentation, - Tests
versions: + Python 3.8
2019-05-24 20:15:03ezio.melottisetkeywords: + easy (C)
priority: low
components: + Tests
versions: + Python 3.9, - Python 3.8
2019-03-25 14:29:35EWDurbinsetmessages: + msg338800
2019-03-25 14:25:19EWDurbinsetmessages: + msg338799
2019-02-11 21:28:56matrixisesetnosy: + matrixise
messages: + msg335270
2019-02-11 20:04:12pitrousetmessages: + msg335267
2019-02-11 19:59:11EWDurbinsetmessages: + msg335266
2019-02-11 19:28:26EWDurbinsetmessages: + msg335263
2019-02-11 19:07:17EWDurbinsetmessages: + msg335258
2019-02-11 18:56:22EWDurbinsetmessages: + msg335254
2019-02-11 18:54:01EWDurbinsetmessages: + msg335253
2018-12-22 21:06:11ezio.melottisetmessages: + msg332369
2018-12-21 14:49:54EWDurbinsetmessages: + msg332292
2018-11-30 07:10:00xtreaksetmessages: + msg330753
2018-11-30 06:51:19xtreaksetnosy: + xtreak
messages: + msg330748
2018-10-10 00:53:48ezio.melottisetmessages: + msg327448
2018-10-03 02:38:13ezio.melottisetmessages: + msg326930
2018-09-26 20:32:48nedbatsetmessages: + msg326503
2018-09-25 13:55:24EWDurbinsetmessages: + msg326354
2018-09-25 13:55:06EWDurbinsetnosy: + EWDurbin
2018-09-23 23:07:36nedbatsetmessages: + msg326190
2018-09-23 23:06:59ezio.melottisetnosy: + nedbat
messages: + msg326189
2018-09-23 23:04:20ezio.melottisetnosy: - nedbat
messages: + msg326188
2018-09-23 22:59:06nedbatsetnosy: + nedbat
2017-10-28 00:37:28ezio.melottisetmessages: - msg303087
2017-09-27 01:15:08ezio.melottisetmessages: + msg303087
2017-09-27 01:14:23ezio.melottisetmessages: + msg303086
versions: + Python 3.8, - Python 3.5
2017-09-08 05:28:17ezio.melottisetmessages: + msg301677
2017-06-26 19:22:14ezio.melottisetmessages: + msg296933
2017-03-24 13:09:32ezio.melottisetmessages: - msg286498
2017-02-21 23:56:26ezio.melottisetpull_requests: + pull_request192
2017-02-02 21:52:07berker.peksagsetstatus: closed
resolution: fixed
stage: resolved
2017-02-02 21:51:57berker.peksagsetstatus: closed -> (no value)
resolution: fixed -> (no value)
stage: resolved -> (no value)
2017-02-02 21:22:41ezio.melottisetmessages: + msg286827
2017-01-30 22:26:24ezio.melottisetmessages: + msg286498
2017-01-19 18:03:36brett.cannonsetpull_requests: + pull_request19
2017-01-13 09:34:13ezio.melottisetmessages: + msg285373
pull_requests: + pull_request16
2017-01-11 00:33:39brett.cannonsetpull_requests: + pull_request14
2017-01-11 00:30:02brett.cannonsetpull_requests: + pull_request13
2017-01-11 00:26:48brett.cannonsetpull_requests: + pull_request12
2017-01-11 00:22:40brett.cannonsetpull_requests: + pull_request11
2017-01-06 22:54:44brett.cannonsetpull_requests: + pull_request10
2017-01-06 21:37:02ezio.melottisetmessages: + msg284856
2017-01-06 18:57:19brett.cannonsetpull_requests: + pull_request9
2017-01-05 23:06:50ezio.melottisetmessages: + msg284786
2017-01-05 23:05:22ezio.melottisetmessages: + msg284785
2016-12-01 23:02:21ezio.melottisetmessages: + msg282209
2016-11-30 23:00:02ezio.melottisetmessages: + msg282111
pull_requests: + pull_request1
2016-11-24 09:15:38ezio.melottisetmessages: + msg281623
2015-06-26 15:38:51testbposetfiles: + issue18958-2.diff
2015-06-26 15:18:34testbposetfiles: + testtestpatch
2015-06-02 02:13:02ezio.melottisetmessages: + msg244637
2015-06-02 02:11:56ezio.melottisetmessages: + msg244636
2015-04-14 15:33:09ezio.melottisetmessages: + msg240911
2014-09-14 10:38:26python-devsetmessages: + msg226865
2014-09-14 10:34:14python-devsetstatus: open -> closed
resolution: fixed
messages: + msg226864

stage: test needed -> resolved
2014-09-14 10:34:04georg.brandlsetstatus: closed -> open
2014-08-02 03:14:27ezio.melottisetstatus: open -> closed
2014-07-30 18:46:54terry.reedysetpriority: low -> (no value)
2014-07-30 18:46:31terry.reedysetpriority: low
status: open
resolution: not a bug -> (no value)
2014-07-30 18:45:55terry.reedysetstatus: closed -> (no value)
2014-07-30 15:56:48loewissetstatus: closed
2014-07-30 15:54:14loewissetstatus: closed -> (no value)
2014-07-30 15:52:52loewissetpriority: normal -> (no value)
2014-07-07 17:23:38ezio.melottisetfiles: + issue18958-2.diff
resolution: later -> not a bug
messages: + msg222481
2014-04-17 21:36:08ezio.melottisetmessages: + msg216749
2014-04-17 21:17:07pitrousetstage: resolved -> test needed
2014-04-17 21:16:48ezio.melottisetversions: + Python 3.5, - Python 3.4
2014-04-17 21:16:17ezio.melottisetmessages: + msg216745
2014-02-27 19:59:15ezio.melottisetnosy: + pitrou
2014-02-11 04:51:06ezio.melottisetpriority: low -> normal

nosy: + python-dev
messages: + msg210899

assignee: ezio.melotti
2014-02-10 23:06:30ezio.melottisetmessages: + msg210888
2014-02-10 23:04:40ezio.melottisetmessages: + msg210887
2013-10-19 05:10:56ezio.melottisetnosy: - berker.peksag
messages: + msg200373
2013-06-10 11:31:22berker.peksagsetnosy: + berker.peksag
messages: + msg190899
2013-04-10 15:44:36ezio.melottisetnosy: + ezio.melotti, - testusernad
2013-04-09 22:05:04testusernadsetnosy: + testusernad, - mark.dickinson, ezio.melotti
messages: + msg186457
2013-04-06 20:03:52mark.dickinsonsetnosy: + mark.dickinson
messages: + msg186162
2013-03-25 16:51:08ezio.melottisetmessages: + msg185211
2013-03-25 16:49:18ezio.melottisetmessages: + msg185210
2013-03-19 06:57:12ezio.melottisetmessages: + msg184606
2013-01-03 20:20:22ezio.melottisetnosy: - python-dev
type: behavior -> enhancement
2013-01-03 20:19:41ezio.melottisettype: behavior
2012-12-14 09:51:15ezio.melottisetmessages: + msg177455
2012-11-17 20:10:24python-devsetnosy: + python-dev
messages: + msg175801
2012-11-15 12:04:15ezio.melottisetmessages: + msg175614
2012-11-15 11:56:55ezio.melottisetmessages: + msg175613
2012-11-15 11:56:03ezio.melottisetmessages: + msg175612
2012-11-15 11:54:06ezio.melottisetmessages: + msg175611
2012-11-15 11:52:56ezio.melottisetmessages: + msg175610
2012-11-15 11:42:38ezio.melottisetmessages: + msg175609
2012-11-15 09:06:41ezio.melottisetmessages: + msg175604
2012-11-15 08:05:37ezio.melottisetmessages: + msg175602
2012-11-15 08:02:49ezio.melottisetmessages: + msg175601
2012-11-07 18:10:05ezio.melottisetmessages: + msg175117
2012-11-07 17:51:42ezio.melottisetnosy: - chris.jerdonek
messages: + msg175115
2012-10-01 02:48:14ezio.melottisetnosy: + chris.jerdonek
2012-09-29 12:50:05ezio.melottisetmessages: + msg171569
versions: + Python 3.4, - Python 3.2
2012-09-29 12:30:24ezio.melottisetmessages: + msg171566
2012-09-29 12:28:34ezio.melottisetmessages: + msg171565
2012-09-28 21:06:49ezio.melottisetnosy: - eric.araujo, r.david.murray
messages: + msg171545
2012-09-28 15:47:10ezio.melottisetmessages: + msg171496
2012-09-28 15:28:58ezio.melottisetmessages: + msg171493
2012-09-25 18:37:29ezio.melottisetfiles: + entities.py
2012-09-04 09:13:26ezio.melottisetmessages: + msg169819
2012-09-01 19:24:53ezio.melottisetfiles: + b17f9a10235f.diff
keywords: + patch
2012-09-01 19:24:23ezio.melottisethgrepos: + hgrepo148
2012-07-28 15:22:47ezio.melottisetpriority: low

nosy: - python-dev
messages: + msg166660

keywords: + easy, - patch
resolution: fixed -> later
2012-07-01 21:18:53python-devsetmessages: + msg164499
2012-07-01 21:08:54python-devsetmessages: + msg164498
2012-07-01 14:58:56python-devsetmessages: + msg164482
2012-05-22 01:04:37r.david.murraysetnosy: + r.david.murray
messages: + msg161311
2012-04-17 04:29:16ezio.melottisetmessages: + msg158528
2012-02-23 04:26:19eric.araujosetnosy: + eric.araujo
messages: + msg154050
2011-11-27 02:08:18python-devsetmessages: + msg148435
2011-11-13 16:45:21python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg147558

resolution: fixed
stage: test needed -> resolved
2011-11-13 16:45:03ezio.melottisetstatus: closed -> open
nosy: - python-dev

resolution: fixed -> (no value)
stage: resolved -> test needed
2011-11-13 16:41:32python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg147556

resolution: fixed
stage: test needed -> resolved
2011-11-13 16:40:17ezio.melottisetstatus: closed -> open
nosy: - python-dev

resolution: fixed -> (no value)
stage: resolved -> test needed
2011-10-06 10:55:50ezio.melottisetmessages: + msg144991
2011-10-06 10:50:52ezio.melottisetfiles: + unnamed, issue12753-3.diff

messages: + msg144990
2011-10-06 10:48:52ezio.melottisetfiles: + issue12753-3.diff

messages: + msg144989
2011-10-06 10:41:32ezio.melottisetfiles: + unnamed, issue12753-3.diff

messages: + msg144988
2011-10-06 10:39:47ezio.melottisetnosy: - vsemionov
2011-09-29 22:20:30vsemionovsethgrepos: - hgrepo78
2011-09-29 22:20:16vsemionovsethgrepos: + hgrepo78
messages: + msg144644
2011-09-29 22:19:21vsemionovsetfiles: + test.txt

messages: + msg144643
2011-09-29 22:18:07vsemionovsetnosy: + vsemionov
messages: + msg144642
2011-09-01 13:03:52python-devsetstatus: open -> closed


messages: + msg143322
nosy: + python-dev
2011-09-01 13:02:11ezio.melottisetstatus: closed -> open
2011-08-09 03:37:02ezio.melottisethgrepos: - hgrepo53
2011-08-09 03:35:40ezio.melottisethgrepos: + hgrepo53
2011-08-09 03:33:36ezio.melottisethgrepos: - hgrepo52
2011-08-09 03:29:33ezio.melottisethgrepos: + hgrepo52
2011-07-22 22:42:34ezio.melottisetnosy: - loewis
2011-07-22 22:41:05ezio.melottisetnosy: + loewis
messages: + msg70327
2011-07-22 22:40:49ezio.melottisetmessages: - msg70327
2011-04-14 19:31:38loewissetfiles: + foo
2011-04-13 23:12:54pitrousetfiles: + sometext.txt
2011-04-03 16:42:46ezio.melottisetmessages: + msg132862
2011-03-23 15:50:48ezio.melottisetpriority: release blocker -> (no value)
assignee: r.david.murray -> (no value)

nosy: + ezio.melotti, - georg.brandl, r.david.murray, python-dev
2011-03-23 15:50:09ezio.melottisetpriority: release blocker
nosy: + georg.brandl, - pitrou
versions: + Python 3.2
2011-03-23 15:49:54ezio.melottisetnosy: - georg.brandl, ezio.melotti
2011-03-23 15:49:26ezio.melottisetassignee: r.david.murray

nosy: + r.david.murray
2011-03-23 15:48:30ezio.melottisetmessages: + msg131887
2011-03-23 14:33:40ezio.melottisetnosy: georg.brandl, pitrou, ezio.melotti, python-dev
messages: + msg131877
2011-03-23 14:33:21ezio.melottisetnosy: + ezio.melotti
messages: + msg131876
2011-03-13 18:22:10loewissetstatus: open -> closed
2011-03-13 16:20:55loewissetstatus: closed -> open
2011-03-13 16:20:36loewissetstatus: open -> closed
2011-03-13 16:20:24loewissetstatus: closed -> open
2011-03-13 16:16:24loewissetfiles: + 6a1c8fcce229.diff
2011-03-13 15:56:55loewissethgrepos: + hgrepo2
2011-03-13 15:45:59loewissethgrepos: + hgrepo1
2011-03-13 15:12:57python-devsetstatus: open -> closed

messages: + msg130746
resolution: fixed
stage: resolved
2011-03-13 15:12:26ezio.melottisetstatus: closed -> open
resolution: fixed -> (no value)
2011-03-12 23:32:43python-devsetstatus: open -> closed

messages: + msg130711
resolution: fixed
2011-03-12 23:30:33python-devsetmessages: + msg130708
2011-03-12 23:28:20pitrousetstatus: closed -> open
resolution: fixed -> (no value)
2011-03-08 20:37:03python-devsetmessages: + msg130371
2011-03-08 19:57:55python-devsetmessages: + msg130365
2011-03-08 19:56:08python-devsetmessages: + msg130364
2011-03-08 19:55:24python-devsetmessages: + msg130363
2011-03-08 19:53:16python-devsetmessages: + msg130360
2011-03-08 19:51:32python-devsetmessages: + msg130359
2011-03-08 19:50:57python-devsetmessages: + msg130358
2011-03-08 19:50:35python-devsetmessages: + msg130357
2011-03-08 19:47:05python-devsetmessages: + msg130356
2011-03-08 19:46:55python-devsetmessages: + msg130355
2011-03-08 19:46:12python-devsetmessages: + msg130354
2011-03-08 19:42:17python-devsetmessages: + msg130353
2011-03-08 19:40:15python-devsetnosy: + python-dev
messages: + msg130352
2011-03-08 12:56:39pitrousetnosy: + pitrou
messages: + msg130328
2011-03-08 11:20:51georg.brandlsetstatus: open -> closed

messages: + msg130325
resolution: not a bug -> fixed
2011-03-08 11:19:54georg.brandlsetnosy: - pitrou, ezio.melotti
2011-03-08 11:18:14pitrousetnosy: + pitrou
messages: + msg130323
2011-03-08 11:09:12georg.brandlsetstatus: closed -> open
2011-03-08 11:07:39georg.brandlsetmessages: + msg130320
2011-03-08 10:36:32georg.brandlsetmessages: + msg130318
2011-03-08 10:34:08georg.brandlsetmessages: + msg130317
2011-03-08 10:32:28georg.brandlsetmessages: + msg130316
2011-03-08 10:30:02georg.brandlsetmessages: + msg130315
2011-03-08 10:29:06georg.brandlsettitle: new commit -> Test issue
2011-03-08 10:28:55georg.brandlsetmessages: + msg130314
2011-03-08 10:26:37georg.brandlsetnosy: + georg.brandl
title: test issue -> new commit
messages: + msg130313
2011-03-06 18:06:10loewissetstatus: open -> closed
2011-03-06 16:51:25loewissetstatus: closed -> open
2011-03-06 16:49:20loewissetfiles: + a.diff
2011-03-06 05:45:54ezio.melottisetnosy: + ezio.melotti
2011-03-06 03:33:16ned.deilysetnosy: - ned.deily
-> (no value)
2011-03-06 03:32:48ned.deilysetmessages: - msg130140
2011-03-06 03:32:32ned.deilysetmessages: - msg130139
2011-03-06 03:31:43ned.deilysetmessages: + msg130141
2011-03-06 03:25:11ned.deilysetmessages: + msg130140
2011-03-06 03:14:07ned.deilysetnosy: + ned.deily, - ezio.melotti
messages: + msg130139
2010-12-15 02:57:55ezio.melottisetpriority: release blocker -> (no value)
nosy: - georg.brandl

versions: - Python 3.2
2010-12-15 02:57:42ezio.melottisetpriority: release blocker
nosy: + georg.brandl
2010-12-15 02:57:35ezio.melottisetpriority: release blocker -> (no value)
nosy: - georg.brandl
2010-12-15 02:57:24ezio.melottisetnosy: + georg.brandl

versions: + Python 3.2
2010-12-15 02:53:35ezio.melottisetpriority: release blocker
nosy: - georg.brandl
2010-12-15 02:52:20ezio.melottisetpriority: release blocker -> (no value)
versions: - Python 3.2
2010-12-15 02:52:11ezio.melottisetpriority: release blocker
nosy: + georg.brandl

versions: + Python 3.2
2010-12-15 02:51:59ezio.melottisetversions: - Python 3.3
2010-12-15 02:51:54ezio.melottisetpriority: release blocker -> (no value)
2010-12-15 02:51:49ezio.melottisetversions: + Python 3.3
2010-12-15 02:28:01ezio.melottisetpriority: deferred blocker -> release blocker
versions: - Python 3.2
2010-12-15 02:27:54ezio.melottisetpriority: release blocker -> deferred blocker
nosy: - georg.brandl
2010-12-15 02:27:30ezio.melottisetpriority: deferred blocker -> release blocker
nosy: + georg.brandl

versions: + Python 3.2
2010-12-15 02:27:21ezio.melottisetpriority: release blocker -> deferred blocker
versions: - Python 3.2
2010-12-15 01:44:46ezio.melottisetpriority: normal -> release blocker
versions: + Python 3.2
2010-12-15 01:44:35ezio.melottisetnosy: - loewis, barry, georg.brandl, ajaksu2, benjamin.peterson

versions: - Python 2.6, Python 3.1, Python 2.7, Python 3.2
2010-12-15 01:20:33ezio.melottisetpriority: release blocker -> normal
nosy: loewis, barry, georg.brandl, ajaksu2, benjamin.peterson, ezio.melotti
messages: + msg123997
2010-12-15 01:18:49ezio.melottisetpriority: normal -> release blocker
nosy: + barry, ezio.melotti, benjamin.peterson, georg.brandl
messages: + msg123996

2010-12-15 01:18:12ezio.melottisetnosy: loewis, ajaksu2
versions: + Python 2.6, Python 3.1, Python 2.7, Python 3.2
2010-10-01 22:09:32loewissetfiles: + README.diff
keywords: + patch
messages: + msg117840
2009-04-07 15:09:30ajaksu2setmessages: + msg85712
2009-04-07 15:06:42ajaksu2setmessages: + msg85711
2009-04-07 15:03:53ajaksu2setmessages: + msg85709
2009-04-07 14:57:09ajaksu2setmessages: + msg85707
2009-04-07 14:54:54ajaksu2setmessages: + msg85706
2009-04-07 14:53:40ajaksu2setmessages: + msg85704
2009-04-07 14:51:41ajaksu2setmessages: + msg85703
2009-03-10 16:22:15ajaksu2setmessages: + msg83438
2009-03-06 14:42:32ajaksu2setmessages: + msg83245
2009-03-06 14:40:01ajaksu2setmessages: + msg83244
2009-03-06 05:29:10ajaksu2setnosy: + ajaksu2
messages: + msg83238
2009-02-19 20:29:47loewissetmessages: + msg82496
2009-02-19 20:28:58loewissetmessages: + msg82495
2009-02-19 19:58:52loewissetmessages: + msg82492
2008-07-27 17:54:36loewissetnosy: + loewis
messages: + msg70327
2008-05-05 16:41:29gvanrossumsetstatus: open -> closed
nosy: - gvanrossum
resolution: not a bug
2008-05-05 16:40:44gvanrossumcreate